Asset (Beta)

Set autotags

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Adjust the autotag values that are set on an asset. The input list can only set values that are already present on the asset to reduce the list of autotags, not to add additional ones.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

put
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/autotags

Path Parameters

assetIdstringrequired

Body

application/json

SetAssetVersionAutoTagsInput

autoTagsarray[string]

Response

application/json

SetAssetVersionAutoTagsReply

autoTagsarray[string]
put/api/1/asset/assets/{assetId}/autotags

Body

{}
 
application/json

Create embargo

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Create a new current or future embargo on the asset. There are 3 types of embargo available, ‘archive’, ‘watermark’, ‘limited’. Of which only 1 can be active at the same time.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

post
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/embargos

Path Parameters

assetIdstringrequired

Body

application/json

CreateAssetEmbargoInput

embargoTimeStampstring(date-time)
embargoTypestringrequired

Allowed values:archivelimitedwatermark

Response

application/json

CreateAssetEmbargoReply

assetIdstring
embargoobject
Show Child Parameters
post/api/1/asset/assets/{assetId}/embargos

Body

{ "embargoType": "archive" }
 
application/json

Delete embargo

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Completely delete an existing asset embargo.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

delete
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/embargos/{embargoId}

Path Parameters

assetIdstringrequired
embargoIdstringrequired

Response

application/json

DeleteEmbargoReply

assetIdstring
delete/api/1/asset/assets/{assetId}/embargos/{embargoId}
 
application/json

Update embargo

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

For an existing asset embargo, update the date restrictions of that embargo.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

put
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/embargos/{embargoId}

Path Parameters

assetIdstringrequired
embargoIdstringrequired

Body

application/json

UpdateAssetEmbargoInput

embargoTimeStampstring(date-time)

Response

application/json

UpdateAssetEmbargoReply

assetIdstring
embargoobject
Show Child Parameters
put/api/1/asset/assets/{assetId}/embargos/{embargoId}

Body

{}
 
application/json

Get asset metaproperties

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Retrieve all metaproperty values set on the active asset version. The responses are taxonomy references, not direct labels.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

get
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/metaproperties

Path Parameters

assetIdstringrequired

Response

application/json

AssetTaxonomy

assetIdstring
idstring
metaPropertyOptionGroupsarray[object]
Show Child Parameters
metaPropertyValuesarray[object]
Show Child Parameters
metadataarray[object]
Show Child Parameters
portalIdstring
taxonomyStatusstring
timeStampModifiedstring(date-time)
versionIdstring
get/api/1/asset/assets/{assetId}/metaproperties
 
application/json